ConfigureVarSys()
{
	CreateInteger("mission.pass", 0);
	SetIntegerRange("mission.pass", 0,1000 );
	CreateInteger("mission.var4", 0);
	SetIntegerRange("mission.var4", 0, 3);
}



CreateControl("Win1", "WINDOW")
{
	Geometry("HCENTRE","VCENTRE");
	Size(1500, 1000);
	BorderSize(25);
	BevelSize(13);
	Font("Console");
	TitleFont("Console");
	Title("EDF Universal BackORF");
	TabSize(1425, 25);
	Style("Outline", "INERT");
	ColorGroup("BLACKBLUE");

	CreateControl("Message1", "ListBox")
	{
		Geometry("Top", "Left");
		Pos(63, 675);
		Size(1375, 300);
		CellSize(1250, 25);
		ColorGroup("MAGENTA");
		BorderSize(13);
		BevelSize(8);
		SliderPadding(5);
		Font("MEDIUM");
		Style("NOSELECTION");		
		ItemConfig()
		{
			Style("TRANSPARENT");
		}
		
		AddTextItem("");
		AddTextItem("Initiating logon sequence...Done.");
	//	AddTextItem("");
		AddTextItem("Contacting exchange server...Done.");
	//	AddTextItem("");
		AddTextItem("Accessing interface...Done");
	//	AddTextItem("");
		AddTextItem("Searching for possible security holes...None found.");
	//	AddTextItem("");
		AddTextItem("Activating translator...Done.");
	//	AddTextItem("");
		AddTextItem("Starting up GUI...");
		AddTextItem("");
	}

		CreateControl("Image1", "Static")
	{
		Geometry("Top", "Left");
		Pos(850, 13);
		Size(485, 640);		
		Image("wormgen.tga", 0, 0, 194, 256);
	
	}
	OnEvent("Control::Activate")
	{
		InitialTab(1);
	}
}


CreateControl("Win2", "WINDOW")
{
	Geometry("HCENTRE","VCENTRE");
	Size(1500, 1000);
	BorderSize(25);
	BevelSize(13);
	Font("Console");
	TitleFont("Console");
	Title("EDF Universal BackORF");
	TabSize(1425, 25);
	Style("Outline", "INERT");
	ColorGroup("BLACKBLUE");

	CreateControl("Message2", "ListBox")
	{
		Geometry("TOP","LEFT");
		Pos(325, 25);
		Size(850, 400);
		CellSize(775, 25);
		BorderSize(13);
		BevelSize(8);
		SliderPadding(5);
		Font("MEDIUM");
		Style("NOSELECTION");
		ItemConfig()
		{
			Style("TRANSPARENT");
		}
		AddTextItem("");
		AddTextItem("");
		AddTextItem("Enter Access Code");
		
	}

	CreateControl("EditBox", "Edit")
	{
		Geometry("Top", "Left");
		Pos(638, 250);
		Size(225, 25);
		Font("SMALL");
		UseVar("mission.pass");
		Style("Rollover", "Outline");
		Cursor("Highlight");
	}


	CreateControl("Enter", "BUTTON")
	{
		ColorGroup("LISTBOX");
		Geometry("TOP", "LEFT");
		Position(350, 350);
		Size(163, 13);
		BorderSize(13);
		BevelSize(8);
		Style("ROLLOVER", "RADIO");
		Font("SMALL");
		Text("Enter");
		Cursor("Highlight");
		UseVar("mission.var4");
		Value(1);
		NotifyParent("Button::Select", "Press");
	}

	CreateControl("Cancel", "BUTTON")
	{
		ColorGroup("LISTBOX");
		Geometry("TOP", "LEFT");
		Position(988, 350);
		Size(163, 13);
		BorderSize(13);
		BevelSize(8);
		Style("ROLLOVER", "RADIO");
		Font("SMALL");
		Text("Cancel");
		Cursor("Highlight");
		UseVar("mission.var4");
		Value(2);
		NotifyParent("Button::Select", "Press");
	}

	
		CreateControl("Message1", "ListBox")
	{
		Geometry("Top", "Left");
		Pos(63, 675);
		Size(1375, 300);
		CellSize(1250, 25);
		ColorGroup("MAGENTA");
		BorderSize(13);
		BevelSize(8);
		SliderPadding(5);
		Font("MEDIUM");
		Style("NOSELECTION");
		ItemConfig()
		{
			Style("TRANSPARENT");
		}
		
		AddTextItem("");
		AddTextItem("Initiating logon sequence...Done.");
		AddTextItem("Contacting exchange server...Done.");
		AddTextItem("Accessing interface...Done");
		AddTextItem("Searching for possible security holes...None found.");
		AddTextItem("Activating translator...Done.");
		AddTextItem("Starting up GUI...Done.");
		AddTextItem("Waiting manual password input...");
	}


	OnEvent("Control::Activate")
	{
		InitialTab(1);
	}

	OnEvent("Press")
	{
		Deactivate("|Win2");
	}
}

CreateControl("Win3", "WINDOW")
{
	Geometry("HCENTRE","VCENTRE");
	Size(1500, 1000);
	BorderSize(25);
	BevelSize(13);
	Font("Console");
	TitleFont("Console");
	Title("EDF Universal BackORF");
	TabSize(1425, 25);
	Style("Outline", "INERT");
	ColorGroup("BLACKBLUE");

	CreateControl("Message2", "ListBox")
	{
		Geometry("TOP","LEFT");
		Pos(300, 25);
		Size(900, 400);
		CellSize(875, 25);
		BorderSize(13);
		BevelSize(8);
		SliderPadding(5);
		Font("MEDIUM");
		Style("NOSELECTION");
		ItemConfig()
		{
			Style("TRANSPARENT");
		}
		AddTextItem("");
		AddTextItem("");
		AddTextItem("Access denied.");
		AddTextItem("Intruder alert.");
		AddTextItem("Wormhole generator shutdown initiated.");
		AddTextItem("Good bye.");		
	}

	
		CreateControl("Message1", "ListBox")
	{
		Geometry("Top", "Left");
		Pos(63, 675);
		Size(1375, 300);
		CellSize(1250, 25);
		ColorGroup("MAGENTA");
		BorderSize(13);
		BevelSize(8);
		SliderPadding(5);
		Font("MEDIUM");
		Style("NOSELECTION");
		ItemConfig()
		{
			Style("TRANSPARENT");
		}
		
		AddTextItem("");
		AddTextItem("Initiating logon sequence...Done.");
		AddTextItem("Contacting exchange server...Done.");
		AddTextItem("Accessing interface...Done");
		AddTextItem("Searching for possible security holes...None found.");
		AddTextItem("Activating translator...Done.");
		AddTextItem("Starting up GUI...Done.");
		AddTextItem("Waiting manual password input...Done.");
		AddTextItem("Access Denied.");
		AddTextItem("Receiving server message: All your bases are belong to us.");
	}


	OnEvent("Control::Activate")
	{
		InitialTab(1);
	}
	
}


CreateControl("Win4", "WINDOW")
{
	Geometry("HCENTRE","VCENTRE");
	Size(1500, 1000);
	BorderSize(25);
	BevelSize(13);
	Font("Console");
	TitleFont("Console");
	Title("EDF Universal BackORF");
	TabSize(1425, 25);
	Style("Outline", "INERT");
	ColorGroup("BLACKBLUE");

	CreateControl("Message2", "ListBox")
	{
		Geometry("TOP","LEFT");
		Pos(325, 25);
		Size(850, 400);
		CellSize(775, 25);
		BorderSize(13);
		BevelSize(8);
		SliderPadding(5);
		Font("MEDIUM");
		Style("NOSELECTION");
		ItemConfig()
		{
			Style("TRANSPARENT");
		}
		AddTextItem("");
		AddTextItem("");
		AddTextItem("Welcome to MS Wormhole Control");
		AddTextItem("Warmup time: 10 minutes");	
		AddTextItem("");
		AddTextItem("");
		AddTextItem("");
		AddTextItem("");
		AddTextItem("");
		AddTextItem("");
		AddTextItem("");
		AddTextItem("Activate: Activate Wormhole");	
		AddTextItem("Logoff: Logoff Wormhole Control");
		AddTextItem("Shutdown: Shutdown Wormhole");
	}

	CreateControl("Activate", "BUTTON")
	{
		ColorGroup("LISTBOX");
		Geometry("TOP", "LEFT");
		Position(350, 200);
		Size(240, 50);
		BorderSize(13);
		BevelSize(8);
		Style("ROLLOVER", "RADIO");
		Font("SMALL");
		Text("Activate");
		Cursor("Highlight");
		UseVar("mission.var4");
		Value(1);
		NotifyParent("Button::Select", "Press");
	}

	CreateControl("Logoff", "BUTTON")
	{
		ColorGroup("LISTBOX");
		Geometry("TOP", "LEFT");
		Position(625, 200);
		Size(240, 50);
		BorderSize(13);
		BevelSize(8);
		Style("ROLLOVER", "RADIO");
		Font("SMALL");
		Text("Logoff");
		Cursor("Highlight");
		UseVar("mission.var4");
		Value(2);
		NotifyParent("Button::Select", "Press");
	}

	CreateControl("Shutdown", "BUTTON")
	{
		ColorGroup("LISTBOX");
		Geometry("TOP", "LEFT");
		Position(900, 200);
		Size(240, 50);
		BorderSize(13);
		BevelSize(8);
		Style("ROLLOVER", "RADIO");
		Font("SMALL");
		Text("Shutdown");
		Cursor("Highlight");
		UseVar("mission.var4");
		Value(3);
		NotifyParent("Button::Select", "Press");
	}	


	CreateControl("Message1", "ListBox")
	{
		Geometry("Top", "Left");
		Pos(63, 675);
		Size(1375, 300);
		CellSize(1250, 25);
		ColorGroup("MAGENTA");
		BorderSize(13);
		BevelSize(8);
		SliderPadding(5);
		Font("MEDIUM");
		Style("NOSELECTION");
		ItemConfig()
		{
			Style("TRANSPARENT");
		}
		
		AddTextItem("");
		AddTextItem("Initiating logon sequence...Done.");
		AddTextItem("Contacting exchange server...Done.");
		AddTextItem("Accessing interface...Done");
		AddTextItem("Searching for possible security holes...None found.");
		AddTextItem("Activating translator...Done.");
		AddTextItem("Starting up GUI...Done.");
		AddTextItem("Awaiting manual password input...Done.");
		AddTextItem("Access granted.");
		AddTextItem("Opening wormhole generator control...Done.");
		AddTextItem("Awaiting manual input...");
	}


	OnEvent("Control::Activate")
	{
		InitialTab(1);
	}

	OnEvent("Press")
	{
		Deactivate("|Win4");
	}
}
